com.amazonaws.auth.policy.actions

## Enum SwfActions

- java.lang.Object
- - java.lang.Enum<SwfActions>
  - - com.amazonaws.auth.policy.actions.SwfActions

All Implemented Interfaces:
  Action, Serializable, Comparable<SwfActions>

    public enum SwfActions
    extends Enum<SwfActions>
    implements Action

The available AWS access control policy actions for Amazon SWF.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AllSwfActions` Represents any action executed on Amazon SWF.
`CountClosedWorkflowExecutions` Action for the CountClosedWorkflowExecutions operation.
`CountOpenWorkflowExecutions` Action for the CountOpenWorkflowExecutions operation.
`CountPendingActivityTasks` Action for the CountPendingActivityTasks operation.
`CountPendingDecisionTasks` Action for the CountPendingDecisionTasks operation.
`DeprecateActivityType` Action for the DeprecateActivityType operation.
`DeprecateDomain` Action for the DeprecateDomain operation.
`DeprecateWorkflowType` Action for the DeprecateWorkflowType operation.
`DescribeActivityType` Action for the DescribeActivityType operation.
`DescribeDomain` Action for the DescribeDomain operation.
`DescribeWorkflowExecution` Action for the DescribeWorkflowExecution operation.
`DescribeWorkflowType` Action for the DescribeWorkflowType operation.
`GetWorkflowExecutionHistory` Action for the GetWorkflowExecutionHistory operation.
`ListActivityTypes` Action for the ListActivityTypes operation.
`ListClosedWorkflowExecutions` Action for the ListClosedWorkflowExecutions operation.
`ListDomains` Action for the ListDomains operation.
`ListOpenWorkflowExecutions` Action for the ListOpenWorkflowExecutions operation.
`ListWorkflowTypes` Action for the ListWorkflowTypes operation.
`PollForActivityTask` Action for the PollForActivityTask operation.
`PollForDecisionTask` Action for the PollForDecisionTask operation.
`RecordActivityTaskHeartbeat` Action for the RecordActivityTaskHeartbeat operation.
`RegisterActivityType` Action for the RegisterActivityType operation.
`RegisterDomain` Action for the RegisterDomain operation.
`RegisterWorkflowType` Action for the RegisterWorkflowType operation.
`RequestCancelWorkflowExecution` Action for the RequestCancelWorkflowExecution operation.
`RespondActivityTaskCanceled` Action for the RespondActivityTaskCanceled operation.
`RespondActivityTaskCompleted` Action for the RespondActivityTaskCompleted operation.
`RespondActivityTaskFailed` Action for the RespondActivityTaskFailed operation.
`RespondDecisionTaskCompleted` Action for the RespondDecisionTaskCompleted operation.
`SignalWorkflowExecution` Action for the SignalWorkflowExecution operation.
`StartWorkflowExecution` Action for the StartWorkflowExecution operation.
`TerminateWorkflowExecution` Action for the TerminateWorkflowExecution operation.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getActionName()`
`static SwfActions` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SwfActions[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AllSwfActions

    public static final SwfActions AllSwfActions

Represents any action executed on Amazon SWF.

#### CountClosedWorkflowExecutions

    public static final SwfActions CountClosedWorkflowExecutions

Action for the CountClosedWorkflowExecutions operation.

#### CountOpenWorkflowExecutions

    public static final SwfActions CountOpenWorkflowExecutions

Action for the CountOpenWorkflowExecutions operation.

#### CountPendingActivityTasks

    public static final SwfActions CountPendingActivityTasks

Action for the CountPendingActivityTasks operation.

#### CountPendingDecisionTasks

    public static final SwfActions CountPendingDecisionTasks

Action for the CountPendingDecisionTasks operation.

#### DeprecateActivityType

    public static final SwfActions DeprecateActivityType

Action for the DeprecateActivityType operation.

#### DeprecateDomain

    public static final SwfActions DeprecateDomain

Action for the DeprecateDomain operation.

#### DeprecateWorkflowType

    public static final SwfActions DeprecateWorkflowType

Action for the DeprecateWorkflowType operation.

#### DescribeActivityType

    public static final SwfActions DescribeActivityType

Action for the DescribeActivityType operation.

#### DescribeDomain

    public static final SwfActions DescribeDomain

Action for the DescribeDomain operation.

#### DescribeWorkflowExecution

    public static final SwfActions DescribeWorkflowExecution

Action for the DescribeWorkflowExecution operation.

#### DescribeWorkflowType

    public static final SwfActions DescribeWorkflowType

Action for the DescribeWorkflowType operation.

#### GetWorkflowExecutionHistory

    public static final SwfActions GetWorkflowExecutionHistory

Action for the GetWorkflowExecutionHistory operation.

#### ListActivityTypes

    public static final SwfActions ListActivityTypes

Action for the ListActivityTypes operation.

#### ListClosedWorkflowExecutions

    public static final SwfActions ListClosedWorkflowExecutions

Action for the ListClosedWorkflowExecutions operation.

#### ListDomains

    public static final SwfActions ListDomains

Action for the ListDomains operation.

#### ListOpenWorkflowExecutions

    public static final SwfActions ListOpenWorkflowExecutions

Action for the ListOpenWorkflowExecutions operation.

#### ListWorkflowTypes

    public static final SwfActions ListWorkflowTypes

Action for the ListWorkflowTypes operation.

#### PollForActivityTask

    public static final SwfActions PollForActivityTask

Action for the PollForActivityTask operation.

#### PollForDecisionTask

    public static final SwfActions PollForDecisionTask

Action for the PollForDecisionTask operation.

#### RecordActivityTaskHeartbeat

    public static final SwfActions RecordActivityTaskHeartbeat

Action for the RecordActivityTaskHeartbeat operation.

#### RegisterActivityType

    public static final SwfActions RegisterActivityType

Action for the RegisterActivityType operation.

#### RegisterDomain

    public static final SwfActions RegisterDomain

Action for the RegisterDomain operation.

#### RegisterWorkflowType

    public static final SwfActions RegisterWorkflowType

Action for the RegisterWorkflowType operation.

#### RequestCancelWorkflowExecution

    public static final SwfActions RequestCancelWorkflowExecution

Action for the RequestCancelWorkflowExecution operation.

#### RespondActivityTaskCanceled

    public static final SwfActions RespondActivityTaskCanceled

Action for the RespondActivityTaskCanceled operation.

#### RespondActivityTaskCompleted

    public static final SwfActions RespondActivityTaskCompleted

Action for the RespondActivityTaskCompleted operation.

#### RespondActivityTaskFailed

    public static final SwfActions RespondActivityTaskFailed

Action for the RespondActivityTaskFailed operation.

#### RespondDecisionTaskCompleted

    public static final SwfActions RespondDecisionTaskCompleted

Action for the RespondDecisionTaskCompleted operation.

#### SignalWorkflowExecution

    public static final SwfActions SignalWorkflowExecution

Action for the SignalWorkflowExecution operation.

#### StartWorkflowExecution

    public static final SwfActions StartWorkflowExecution

Action for the StartWorkflowExecution operation.

#### TerminateWorkflowExecution

    public static final SwfActions TerminateWorkflowExecution

Action for the TerminateWorkflowExecution operation.

### Method Detail

#### values

    public static SwfActions[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SwfActions c : SwfActions.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SwfActions valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getActionName

    public String getActionName()

Specified by:
  `getActionName` in interface `Action`